
name: "ChatAtomic_Flow_with_Demonstrations"
description: "A sequential flow that answers questions with demonstrations"
_target_: flow_modules.aiflows.ChatWithDemonstrationsFlowModule.ChatWithDemonstrationsFlow.instantiate_from_default_config
subflows_config:
  demonstration_flow:
    flow_class_name: flow_modules.aiflows.ChatWithDemonstrationsFlowModule.DemonstrationsAtomicFlow
    flow_endpoint: DemonstrationsAtomicFlow
    user_id: local
    name: "DemonstrationsAtomicFlow"
    description: "A flow that answers questions with demonstrations"
  chat_flow:
    name: "ChatAtomicFlow"
    description: "A flow that answers questions"
    flow_class_name: flow_modules.aiflows.ChatFlowModule.ChatAtomicFlow
    flow_endpoint: ChatAtomicFlow
    user_id: local
